<?php
/**
* Widget Functions.
*
* @package Car Booking
*/

function car_booking_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'car-booking'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'car-booking'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));


    $car_booking_default = car_booking_get_default_theme_options();
    $car_booking_footer_column_layout = absint( get_theme_mod( 'car_booking_footer_column_layout',$car_booking_default['car_booking_footer_column_layout'] ) );

    for( $i = 0; $i < $car_booking_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','car-booking'); }
    	if( $i == 1 ){ $count = esc_html__('Two','car-booking'); }
    	if( $i == 2 ){ $count = esc_html__('Three','car-booking'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'car-booking').$count,
	        'id' => 'car-booking-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'car-booking'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'car_booking_widgets_init');